local StepParent = require "scenes.battlesystem.controllers.fighters.systems.choregraphy.step.parent"
local AnimationSetterStep = StepParent:extend()

function AnimationSetterStep:new(controller, args)
  AnimationSetterStep.super.new(self, controller, args)
end

function AnimationSetterStep:start()
  self.choregraphy.actor:changeAnimation(self.arguments.animation)

  if (self.arguments.blockProcess == false) then
    self:finish()
  else
    self.choregraphy.actor:blockChoregraphy(self.arguments.blockProcess, self, "animation")
  end
end

function AnimationSetterStep:update(dt)

end

function AnimationSetterStep:getSignal(signal)

end

return AnimationSetterStep;
